<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.custom.mapper.ManufacturerCertMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="manufacturerCertResultMap" type="org.springblade.modules.custom.entity.ManufacturerCert">
        <result column="id" property="id"/>
        <result column="is_delete" property="isDelete"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
        <result column="manufacturer_id" property="manufacturerId"/>
        <result column="cert_image" property="certImage"/>
    </resultMap>


    <select id="selectManufacturerCertPage" resultMap="manufacturerCertResultMap">
        select * from biz_manufacturer_cert where is_delete = 0
    </select>

</mapper>
